Bug 197430 - V4L: /dev/video0 doesn't work properly with bttv based cards
V4L: /dev/video0 doesn't work properly with bttv based cards
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-01 04:51 EDT by Jack
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-16 17:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack 2006-07-01 04:51:07 EDT
Description of problem:
Using a bttv based card (the ATI TV Wonder/VE) FC5 (driver 0.9.16) appears to
not detect the card correctly, whereas in FC4 (driver version 0.9.15) the card
works perfectly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use ATI TV WONDER/VE card w/ Fedora Core 5
2.Config modprove.conf w/ alias char-major-81 bttv
Actual results:
Errors in log

dmesg results (the end is the exciting part) ...

bttv: driver version 0.9.16 loaded
bttv: using 8 buffers with 2080k (520 pages) each for capture
sd 0:0:0:0: Attached scsi generic sg0 type 0
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
hda_codec: Unknown model for ALC882, trying auto-probe from BIOS...
ieee1394: Initialized config rom entry `ip1394'
bttv: Bt8xx card found (0).
ACPI: PCI Interrupt Link [APC1] enabled at IRQ 16
GSI 20 sharing vector 0x32 and IRQ 20
ACPI: PCI Interrupt 0000:04:08.0[A] -> Link [APC1] -> GSI 16 (level, low) -> IRQ 50
bttv0: Bt878 (rev 17) at 0000:04:08.0, irq: 50, latency: 32, mmio: 0xfdaff000
bttv0: detected: ATI TV Wonder/VE [card=64], PCI subsystem ID is 1002:0003
bttv0: using: ATI TV-Wonder VE [card=64,autodetected]
bttv0: gpio: en=00000000, out=00000000 in=00ffffff [init]
bttv0: using tuner=19
bttv0: i2c: checking for TDA9875 @ 0xb0... not found
bttv0: i2c: checking for TDA7432 @ 0x8a... not found
bttv0: i2c: checking for TDA9887 @ 0x86... not found
ACPI: PCI Interrupt Link [APCL] enabled at IRQ 23
ACPI: PCI Interrupt 0000:00:0b.1[B] -> Link [APCL] -> GSI 23 (level, low) -> IRQ 209
PCI: Setting latency timer of device 0000:00:0b.1 to 64
ehci_hcd 0000:00:0b.1: EHCI Host Controller
ehci_hcd 0000:00:0b.1: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:0b.1: debug port 1
PCI: cache line size of 64 is not supported by device 0000:00:0b.1
ehci_hcd 0000:00:0b.1: irq 209, io mem 0xfe02e000
ehci_hcd 0000:00:0b.1: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
tuner 0-0060: All bytes are equal. It is not a TEA5767
tuner 0-0060: chip found @ 0xc0 (bt878 #0 [sw])
tuner 0-0060: type set to 19 (Temic PAL* auto (4006 FN5))
bttv0: registered device video0
bttv0: registered device vbi0
bttv0: PLL: 28636363 => 35468950 .. ok
bt878: AUDIO driver version 0.0.0 loaded
ACPI: PCI Interrupt Link [APCF] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:0b.0[A] -> Link [APCF] -> GSI 22 (level, low) -> IRQ 217
PCI: Setting latency timer of device 0000:00:0b.0 to 64
ohci_hcd 0000:00:0b.0: OHCI Host Controller
ohci_hcd 0000:00:0b.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:0b.0: irq 217, io mem 0xfe02f000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 8 ports detected
ACPI: PCI Interrupt Link [APC4] enabled at IRQ 19
GSI 21 sharing vector 0x3A and IRQ 21
ACPI: PCI Interrupt 0000:04:05.0[A] -> Link [APC4] -> GSI 19 (level, low) -> IRQ 58
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[58]  MMIO=[fdbff000-fdbff7ff]  Max
Packet=[1024]  IR/IT contexts=[8/8]
bt878: Bt878 AUDIO function found (0).
ACPI: PCI Interrupt 0000:04:08.1[A] -> Link [APC1] -> GSI 16 (level, low) -> IRQ 50
bt878_probe: card id=[0x31002], Unknown card.
bt878: probe of 0000:04:08.1 failed with error -22

Expected results:
no errors

Additional info:
Using TVTime shows images from the tuner card, but the images are poor quality
and very jumpy.  Other programs don't seem to detect the card correctly.

adjusting the modprobe.conf to include the tuner or type options does not seem
to improve the results.
Comment 1 Dave Jones 2006-10-16 16:32:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jack 2006-10-16 17:08:43 EDT
sorry...  this system was stolen recently, and I'm unable to test.  You can 
close this ticket.  thanks
Comment 3 Dave Jones 2006-10-16 17:21:51 EDT
ouch, sorry to hear about that :-/

Note You need to log in before you can comment on or make changes to this bug.